# Uses of Interface
org.eclipse.emf.cdo.lm.security.ModuleTypeFilter

Packages that use ModuleTypeFilter
Package
Description
org.eclipse.emf.cdo.lm.security
The generated EMF API of the CDO Lifecycle Management Security model.
org.eclipse.emf.cdo.lm.security.impl
The generated EMF implementation of the CDO Lifecycle Management Security model.
org.eclipse.emf.cdo.lm.security.util
The generated EMF utilities of the CDO Lifecycle Management Security model.

## Uses of ModuleTypeFilter in org.eclipse.emf.cdo.lm.security

Methods in org.eclipse.emf.cdo.lm.security that return ModuleTypeFilter
Modifier and Type
Method
Description
`ModuleTypeFilter`
LMSecurityFactory.`createModuleTypeFilter()`
Returns a new object of class 'Module Type Filter'.

## Uses of ModuleTypeFilter in org.eclipse.emf.cdo.lm.security.impl

Classes in org.eclipse.emf.cdo.lm.security.impl that implement ModuleTypeFilter
Modifier and Type
Class
Description
`class`
`ModuleTypeFilterImpl`
An implementation of the model object 'Module Type Filter'.
Methods in org.eclipse.emf.cdo.lm.security.impl that return ModuleTypeFilter
Modifier and Type
Method
Description
`ModuleTypeFilter`
LMSecurityFactoryImpl.`createModuleTypeFilter()`

## Uses of ModuleTypeFilter in org.eclipse.emf.cdo.lm.security.util

Methods in org.eclipse.emf.cdo.lm.security.util with parameters of type ModuleTypeFilter
Modifier and Type
Method
Description
`T`
LMSecuritySwitch.`caseModuleTypeFilter(ModuleTypeFilter object)`
Returns the result of interpreting the object as an instance of 'Module Type Filter'.